{$apptype console}

function isPaly(s : string) : boolean;
var
  i : integer;
  n : integer;
begin
  n := length(s);
  for i := 1 to n do begin
    if (s[n - i + 1] <> s[i]) then begin
      result := false;
      exit;
    end;
  end;
  result := true;
end;

var
  s : string;
  n : integer;
  i : integer;
  t : string;
  j : integer;

begin
  reset(input, 'palin.in');
  rewrite(output, 'palin.out');
  readln(s);
  n := length(s);
  s := s + s;
  for i := 1 to n - 1 do begin
    t := '';
    for j := 0 to n - 1 do begin
      t := t + s[i + j]; 
    end;
    if (isPaly(t)) then begin
      writeln('yes');
      halt(0);
    end;
  end;
  writeln('no');
end.
